注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

Q超越兔子的蜗牛O--逸云沙鸥Linux

飘飘何所似,天地一沙鸥;落霞与孤鹜齐飞,秋水共长天一色~~

 
 
 

日志

 
 

【转载】Mac 配置apache,解决:dyld: Library not loaded: /usr/lib/libpq.5.dylib  

2012-08-17 00:35:22|  分类: Apple相关 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
使用homebrew安装了postgresql过后,无法成功启动apache,出错如下:

$apachectl
dyld: Library not loaded: /usr/lib/libpq.5.dylib
Referenced from: /usr/sbin/httpd
Reason: no suitable image found. Did find:
/usr/lib/libpq.5.dylib: no matching architecture in universal wrapper
/usr/lib/libpq.5.dylib: no matching architecture in universal wrapper
/usr/lib/libpq.5.dylib: no matching architecture in universal wrapper
/usr/sbin/apachectl: line 90: 2665 Trace/BPT trap: 5 $HTTPD $ARGV

直接运行httpd也是一样的错误,库有问题了:

$httpd
dyld: Library not loaded: /usr/lib/libpq.5.dylib
Referenced from: /usr/sbin/httpd
Reason: no suitable image found. Did find:
/usr/lib/libpq.5.dylib: no matching architecture in universal wrapper
/usr/lib/libpq.5.dylib: no matching architecture in universal wrapper
Trace/BPT trap: 5

路径检查:

$ll /usr/lib/libpq.5.dylib
lrwxr-xr-x 1 root wheel 66B 8 14 18:40 /usr/lib/libpq.5.dylib@ -> /Volumes/Design/LocalSoft/INSTALL/PostgreSQL/8.4/lib/libpq.5.dylib

$ll /Volumes/Design/LocalSoft/INSTALL/PostgreSQL/8.4/lib/libpq.5.dylib
lrwxr-xr-x 1 qunengrong daemon 15B 8 14 18:40 /Volumes/Design/LocalSoft/INSTALL/PostgreSQL/8.4/lib/libpq.5.dylib@ -> libpq.5.2.dylib

指向的版本是 .5.2 的;查找资料得到貌似要 .5.3 的才行,所以重新链接;

$cd /usr/lib

$su

sh-3.2# mv libpq.5.dylib libpq.5.2.dylib
sh-3.2# ln -s libp

q.5.3.dylib libpq.5.dylib

启动apache

sudo httpd

可以了,开始访问:


  评论这张
 
阅读(1069)| 评论(3)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017